//Master Arduino Code:

#include<SPI.h>                             //Library for SPI 

char secret[] = "Ana are mereee!\n";
int i;

void setup (void){
  Serial.begin(9600);                   //Starts Serial Communication at Baud Rate 115200 
  SPI.begin(); //Begins the SPI commnuication
  i = 0;
  SPI.setClockDivider(SPI_CLOCK_DIV8);    //Sets clock for SPI communication at 8 (16/8=2Mhz)
  digitalWrite(SS, HIGH);                  // Setting SlaveSelect as HIGH (So master doesnt connnect with slave)
}

void loop(void) {
  if (i < strlen(secret)) {
      byte master_send, master_receive;          
      digitalWrite(SS, LOW);                  //Starts communication with Slave connected to master
      
      master_send = secret[i++];                            
      master_receive = SPI.transfer(master_send); //Send the mastersend value to slave also receives value from slave
      Serial.print((char)master_receive);
      delay(1000);
  } else {
      Serial.print("SPI COMMUNICATION DONE!\n");
      delay(10000);
  }
}
