// Slave Arduino Code:

#include<SPI.h>

volatile boolean received;
volatile byte slave_received, slave_send;
volatile int i;

char secret[] = "Maria are pere!\n";

void setup() {
  Serial.begin(9600);
 
  pinMode(MISO, OUTPUT);                   //Sets MISO as OUTPUT (Have to Send data to Master IN 

  SPCR |= _BV(SPE);                       //Turn on SPI in Slave Mode
  received = false;
  i = 0;

  SPI.attachInterrupt();                  //Interuupt ON is set for SPI commnucation
  
}

ISR (SPI_STC_vect)                        //Interrput routine function 
{
  slave_received = SPDR;         // Value received from master if store in variable slavereceived
  received = true;                        //Sets received as True 
}

void loop() { 
  if(received) {
    Serial.print((char)slave_received);  
    slave_send = secret[i++];                             
    SPDR = slave_send;
    received = false;
    if (i > strlen(secret)) {
      i = 0;
    }
    delay(1000);
  }
}
