#include <SPI.h>
#include <SD.h>

File myFile;

void setup() {
  // Open serial communications and wait for port to open:
  Serial.begin(9600);
  while (!Serial) {
    ; // wait for serial port to connect. Needed for native USB port only
  }
  Serial.print("Initializing SD card...");
  if (!SD.begin(4)) {
    Serial.println("initialization failed!");
    while (1);
  }
  Serial.println("initialization done.");
  // open the file. note that only one file can be open at a time,
  // so you have to close this one before opening another.
  myFile = SD.open("t.txt", O_WRITE | O_TRUNC | O_CREAT);
  // if the file opened okay, write to it:
  if (myFile) {
      Serial.print("Writing to t.txt...");
      myFile.write("This is a test file :)");
      myFile.write("testing 1, 2, 3.");
      for (int i = 0; i < 20; i++) {
        myFile.write(i);
      }
      // close the file:
      myFile.close();
      Serial.println("done.");
   } else {
      // if the file didn't open, print an error:
      Serial.println("error opening t.txt");
   }



    myFile = SD.open("t.txt", O_READ);
    if (myFile) {
      Serial.println("t.txt:");
      // read from the file until there's nothing else in it:
      while (myFile.available()) {
        Serial.write(myFile.read());
      }
      // close the file:
      myFile.close();
     } else {
      // if the file didn't open, print an error:
      Serial.println("error opening t.txt");
    }

}
void loop() {
// nothing happens after setup
}
